lib_LTLIBRARIES = libjavadcop.la

libjavadcop_la_SOURCES = client.cpp 
libjavadcop_la_LDFLAGS = $(KDE_LDFLAGS) $(KDE_PLUGIN) -lDCOP -ltdecore -ltdeui $(LIB_TQT) -lkjs -ltdefx
libjavadcop_la_LIBADD = $(LIB_TDECORE)

INCLUDES = $(jni_includes) $(all_includes)

client.$(OBJEXT): org_trinitydesktop_DCOP_Client.h

client.lo: org_trinitydesktop_DCOP_Client.h

org_trinitydesktop_DCOP_Client.h:
	$(MAKE) -C org
	if ! $(JAVA8); then \
	  $(JAVAH) -classpath .:$(srcdir) -jni org.trinitydesktop.DCOP.Client; \
	fi

SUBDIRS = org

CLEANFILES = org_trinitydesktop_DCOP_Client.h
